@import '../core/base';
@import '../modules/button-group';

.movies {
  position: relative;
  &__list {
    @include grid();
  }
  &__wrap {
    position: relative;
  }
  &__body {
    padding: .5rem 1rem 0;
  }
  &__item {
    @include flex(center, space-between, column);
    background-color: #fff;
    overflow: hidden;
    box-shadow: 0 .2rem .2rem 0 rgba(0,0,0, .14);
    border-radius: .3rem;
    padding-bottom: 1rem;
  }
  &__image {
    border-radius: .3rem .3rem 0 0;
  }
  &__actions {
    padding: 0 1rem;
  }

  &_box {
    background-color: #fff;
    padding: 1.5rem 1.5rem;
  }
  &_box &__body {
    padding: 1rem 0 0;
  }
  &_box &__wrap {
    @include flex(flex-start, flex-start);
    @include mobile-lg {
      flex-direction: column;
    }
  }
  &_box &__image {
    margin-right: 1.5rem;
    border-radius: 0;
    max-width: 30rem;
    @include mobile-lg {
      padding-right: 0;
    }
  }
}